%global project     clojure
%global artifactId  core.specs.alpha
%global archivename %{artifactId}-%{artifactId}
%global full_version %{version}

Name:           clojure-core-specs-alpha
Epoch:          1
Version:        0.1.24
Release:        1%{?dist}
Summary:        Clojure library containing specs to describe Clojure core macros and functions

Group:          Development/Languages
License:        EPL-1.0
URL:            https://github.com/%{project}/%{artifactId}
Source0:        %{URL}/archive/%{artifactId}-%{full_version}.zip

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  java-devel >= 1:1.8.0
BuildRequires:  clojure-maven-plugin >= 1.8.1
BuildRequires:  clojure-spec-alpha  >= 1:0.1.134
BuildRequires:  clojure  >= 1:1.9.0-0.alpha15.1
Requires:       clojure  >= 1:1.9.0-0.alpha15.1


%description 
Core.specs.alpha is a Clojure library containing specs to describe Clojure
core macros and functions.

%prep
%setup -q -n %{archivename}-%{full_version}
# Remove unpackaged parent pom and add the required groupId
%pom_remove_parent pom.xml
%pom_xpath_inject pom:project "<groupId>org.clojure</groupId>"


%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license epl-v10.html
%doc epl-v10.html CHANGES.md README.md CONTRIBUTING.md

%changelog
* Sun Apr 05 2020 Markku Korkeala <markku.korkeala@iki.fi> - 1:0.1.24-1
- Initial package
